version: '2'

services:
  drone-server:
    image: drone/drone:0.8

    ports:
      - 80:80
      - 443:443
      - 9000
    volumes:
      - drone-server-data:/var/lib/drone/
    restart: always
    environment:
      - DRONE_OPEN=true
      - DRONE_ADMIN=${DRONE_ADMINS}
      - DRONE_HOST=${DRONE_HOST}
      - DRONE_GITLAB=true
      - DRONE_GITLAB_CLIENT=${GITLAB_CLIENT}
      - DRONE_GITLAB_SECRET=${GITLAB_SECRET}
      - DRONE_GITLAB_URL=${GITLAB_URL}
      - DRONE_SECRET=${DRONE_SECRET}
      - DRONE_LETS_ENCRYPT=true

  drone-agent:
    image: drone/agent:0.8

    command: agent
    restart: always
    depends_on:
      - drone-server
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    environment:
      - DRONE_SERVER=drone-server:9000
      - DRONE_SECRET=${DRONE_SECRET}

volumes:
  drone-server-data:
